/*******************************************************************************
 * ParticleModuleAttractorBoneSocket generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleAttractorBoneSocket extends ParticleModuleAttractorBase
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Object);

enum EBoneSocketAttractorFalloffType
{
    BSFOFF_Constant,
    BSFOFF_Linear,
    BSFOFF_Exponent,
    BSFOFF_MAX
};

enum ELocationBoneSocketDestination
{
    BONESOCKETDEST_Bones,
    BONESOCKETDEST_Sockets,
    BONESOCKETDEST_MAX
};

enum ELocationBoneSocketDestSelectionMethod
{
    BONESOCKETDESTSEL_Sequential,
    BONESOCKETDESTSEL_Random,
    BONESOCKETDESTSEL_RandomExhaustive,
    BONESOCKETDESTSEL_BlendAll,
    BONESOCKETDESTSEL_MAX
};

struct native AttractLocationBoneSocketInfo
{
    var() name BoneSocketName;
    var() Vector Offset;

    structdefaultproperties
    {
        BoneSocketName=None
        Offset=(X=0.0,Y=0.0,Z=0.0)
    }
};

var() ParticleModuleAttractorBoneSocket.EBoneSocketAttractorFalloffType FalloffType;
var(BoneSocket) ParticleModuleAttractorBoneSocket.ELocationBoneSocketDestination DestinationType;
var(BoneSocket) ParticleModuleAttractorBoneSocket.ELocationBoneSocketDestSelectionMethod SelectionMethod;
var() bool bParticleLifeRelative;
var(BoneSocket) bool bAttractAlongLengthOfBone;
var() interp RawDistributionFloat FalloffExponent;
var() interp RawDistributionFloat Range;
var() interp RawDistributionFloat Strength;
var() interp RawDistributionFloat CollisionRadius;
var() interp RawDistributionFloat DragCoefficient;
var() interp RawDistributionFloat DragRadius;
var(BoneSocket) Vector UniversalOffset;
var(BoneSocket) array<AttractLocationBoneSocketInfo> SourceLocations;
var(BoneSocket) name SkelMeshActorParamName;
var(BoneSocket) editoronly SkeletalMesh EditorSkelMesh;

defaultproperties
{
    DestinationType=ELocationBoneSocketDestination.BONESOCKETDEST_Sockets
    FalloffExponent=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorBoneSocket.DistributionFalloffExponent',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing FalloffExponent
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    Range=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorBoneSocket.DistributionRange',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Range
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    Strength=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorBoneSocket.DistributionStrength',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing Strength
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    DragCoefficient=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorBoneSocket.DistributionDragCoefficient',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing DragCoefficient
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    DragRadius=Distribution=DistributionFloatConstant'Default__ParticleModuleAttractorBoneSocket.DistributionDragRadius',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing DragRadius
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    SkelMeshActorParamName=BoneSocketActor
    bSpawnModule=true
    bUpdateModule=true
    bFinalUpdateModule=true
    bSupported3DDrawMode=true
}